be.fgov.ehealth.ehbox.consultation.protocol.v3

## Class ConsultationMessageType

- java.lang.Object
- - be.fgov.ehealth.ehbox.consultation.protocol.v3.ConsultationMessageType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:44:14+01:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultationMessageType
      extends Object
      implements Serializable

  Get a message with it's content

  Java class for ConsultationMessageType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultationMessageType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="PublicationId" type="{urn:be:fgov:ehealth:ehbox:core:v3}PublicationIdType" minOccurs="0"/>
               <element name="DestinationContext" type="{urn:be:fgov:ehealth:ehbox:consultation:protocol:v3}DestinationContextType" maxOccurs="unbounded"/>
               <element name="ContentContext" type="{urn:be:fgov:ehealth:ehbox:consultation:protocol:v3}ContentContextType"/>
               <element name="Meta" type="{urn:be:fgov:ehealth:ehbox:core:v3}MetaType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="CopyMailTo" maxOccurs="unbounded" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <minLength value="1"/>
                     <maxLength value="80"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
             <attribute name="MessageId" type="{urn:be:fgov:ehealth:ehbox:core:v3}MessageIdType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultationMessageType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContentContextType` | `getContentContext()` Gets the value of the contentContext property.
    `List<String>` | `getCopyMailTos()` Gets the value of the copyMailTos property.
    `List<DestinationContextType>` | `getDestinationContexts()` Gets the value of the destinationContexts property.
    `String` | `getMessageId()` Gets the value of the messageId property.
    `List<MetaType>` | `getMetas()` Gets the value of the metas property.
    `String` | `getPublicationId()` Gets the value of the publicationId property.
    `void` | `setContentContext(ContentContextType value)` Sets the value of the contentContext property.
    `void` | `setMessageId(String value)` Sets the value of the messageId property.
    `void` | `setPublicationId(String value)` Sets the value of the publicationId property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultationMessageType

          public ConsultationMessageType()

  - ### Method Detail

    - #### getPublicationId

          public String getPublicationId()

      Gets the value of the publicationId property.
      Returns:
        possible object is `String`

    - #### setPublicationId

          public void setPublicationId(String value)

      Sets the value of the publicationId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDestinationContexts

          public List<DestinationContextType> getDestinationContexts()

      Gets the value of the destinationContexts property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the destinationContexts property.

      For example, to add a new item, do as follows:

              getDestinationContexts().add(newItem);

      Objects of the following type(s) are allowed in the list `DestinationContextType`

    - #### getContentContext

          public ContentContextType getContentContext()

      Gets the value of the contentContext property.
      Returns:
        possible object is `ContentContextType`

    - #### setContentContext

          public void setContentContext(ContentContextType value)

      Sets the value of the contentContext property.
      Parameters:
        `value` - allowed object is `ContentContextType`

    - #### getMetas

          public List<MetaType> getMetas()

      Gets the value of the metas property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the metas property.

      For example, to add a new item, do as follows:

              getMetas().add(newItem);

      Objects of the following type(s) are allowed in the list `MetaType`

    - #### getCopyMailTos

          public List<String> getCopyMailTos()

      Gets the value of the copyMailTos property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the copyMailTos property.

      For example, to add a new item, do as follows:

              getCopyMailTos().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getMessageId

          public String getMessageId()

      Gets the value of the messageId property.
      Returns:
        possible object is `String`

    - #### setMessageId

          public void setMessageId(String value)

      Sets the value of the messageId property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.